Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
1270 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  [RESOLU]Mise à jour Dédié Ubuntu (OS, PHP, MySQL, Postfix ...)

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

[RESOLU]Mise à jour Dédié Ubuntu (OS, PHP, MySQL, Postfix ...)

n°1073637
popov130
Posté le 11-09-2008 à 18:10:55  profilanswer
 

Bonjour à tous,
 
Je vais mettre à jour un serveur dédié pour la première fois (il parait que dès fois ça fait mal  :lol: )
C'est un Ubuntu Feisty qui doit donc passer en Hardy.
Apache, MySQL, PHP et phpmyadmin doivent aussi être mis à jour aussi.
Sans oublier postfix, clamav, spamassassin (toute la clique qui gére les mails)
 
J'ai entendu parler de "apt-get upgrade" pour l'instant j'en suis là, je me tâte à me lancer ...  :sarcastic:  
 
Dans l'ordre ça doit se passer comment ?
- Je dois sauvegarde des fichiers de conf comme le php.ini, le my.cnf, les répertoires sites-available et sites enabled ?
- Je commence par Hardy, puis Apache, MySQL, PHP et enfin phpmyadmin ?
 
Merci les admins !  :jap:


Message édité par popov130 le 12-09-2008 à 10:07:53
mood
Publicité
Posté le 11-09-2008 à 18:10:55  profilanswer
 

n°1073653
zecrazytux
Posté le 11-09-2008 à 20:24:07  profilanswer
 

tin faut pas avoir peur pour mettre de l'ubuntu en serveur...
 
dist-upgrade: upgrade la distro entière.  
 
mais fait des sauvegardes.
Comme ubuntu c'est une debian dégradé, tu as les outils magique debian: apt-get/aptitude et dpkg, debconf.
 
ça te demandera pendant certaines mises à jour si  tu veux garder ton fichier de conf ou installer la version du mainteneur du paquet.
 
fais tout de même des sauvegardes, c'est plus prudent


---------------
Blog photo/récits activités en montagne http://planetcaravan.net
n°1073667
popov130
Posté le 11-09-2008 à 21:31:59  profilanswer
 

Ca roule zecrazytux !
 
Au fait pourquoi Ubuntu ce serait une debian dégradée ?  J'ai entendu dire que les nouveaux logiciels et les drivers sont plus souvent disponibles sur Ubuntu. Bon, je ne sais pas trop ce que ça donne concernant PHP, MySQL, Apache etc. mais je suis curieux de connaitre les réelles différences entre ces 2 distribs, c'est pas le même noyaux ?

n°1073668
zecrazytux
Posté le 11-09-2008 à 21:37:50  profilanswer
 

popov130 a écrit :

Ca roule zecrazytux !
 
Au fait pourquoi Ubuntu ce serait une debian dégradée ?  J'ai entendu dire que les nouveaux logiciels et les drivers sont plus souvent disponibles sur Ubuntu. Bon, je ne sais pas trop ce que ça donne concernant PHP, MySQL, Apache etc. mais je suis curieux de connaitre les réelles différences entre ces 2 distribs, c'est pas le même noyaux ?


 
quel intérêt d'avoir de nouveaux drivers sur un serveur ?
 
pour php/mysql/apache, même question...
 
Le noyau est le noyau linux dans les deux cas... c'est le même à quelques options près...
 
 
dégradée car moins stable (dernière versions de soft = moins éprouvés) et tout est tourné vers le "kikoolol c'est beau"


---------------
Blog photo/récits activités en montagne http://planetcaravan.net
n°1073683
popov130
Posté le 11-09-2008 à 23:40:15  profilanswer
 

Je me suis mal exprimé, c'est clair, que pour un serveur, en général on s'arrange pour avoir un produit pas trop exotique donc pas de besoins de pilotes particuliers. Y a quand même une question importante, si Apache sort une nouvelle version, et qu'au passage, cette version fixe un bug de sécurité ... qu'es-ce que t'en penses, c'est fondé ou je dis une annerie ?

n°1073778
zecrazytux
Posté le 12-09-2008 à 11:21:08  profilanswer
 

popov130 a écrit :

Je me suis mal exprimé, c'est clair, que pour un serveur, en général on s'arrange pour avoir un produit pas trop exotique donc pas de besoins de pilotes particuliers. Y a quand même une question importante, si Apache sort une nouvelle version, et qu'au passage, cette version fixe un bug de sécurité ... qu'es-ce que t'en penses, c'est fondé ou je dis une annerie ?


 
tu dis une annerie :)
 
c'est bien possible qu'une version d'apache corrige une faille de sécu, mais dans ce cas là, les bugfixes sont backportés (si la faille concerne des version inférieures aussi) soit la version d'apache est upgradé pour cette raison.
 
Des équipes de développeurs Debian s'occupe de ça justement, et il y a un dépot security pour la stable. Tu as du entendre parler du problême avec openssl sur Debian, ça a été rapidement corrigé, pas besoin d'ubuntu et de ses super nouvelles versions bleeding edge.
 
Il faut aussi prendre en compte qu'une nouvelle version peut également ajouter une faille de sécu. (d'où l'importance du coté "éprouvé" des quelques versions antérieures)


---------------
Blog photo/récits activités en montagne http://planetcaravan.net
n°1073823
popov130
Posté le 12-09-2008 à 15:35:53  profilanswer
 

Merci à toi pour ces précisions !
 
shalom ;o)


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  [RESOLU]Mise à jour Dédié Ubuntu (OS, PHP, MySQL, Postfix ...)

 

Sujets relatifs
probleme de config DNS dynamique Ubuntu 8.4PROBLEME : Configuration Internet sur Ubuntu (v.8.04)
[LINUX MINT] - Topic dédié / version Ulyssa 20.1 LTS - Debbie 4problème desinstallation ubuntu et récupération vista
[Ubuntu] Pas de wifi ?vacation et fedora et postfix
Problème avec postfix et courrier imapServeur Lampp impossible d'accès (ubuntu)
Ubuntu <--> Vista via Ethernetpavé numérique bluetooth sur ubuntu
Plus de sujets relatifs à : [RESOLU]Mise à jour Dédié Ubuntu (OS, PHP, MySQL, Postfix ...)


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR